Memory Stores
Eliminar entrada de memoria
DELETE
/
api
/
v1
/
llm
/
memory_stores
/
{memory_store_id}
/
entries
/
{entry_id}
Go (SDK)
package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"github.com/MeetKai/mka1-sdks/go/models/components"
"github.com/MeetKai/mka1-sdks/go/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Llm.MemoryStores.DeleteEntry(ctx, operations.DeleteMemoryEntryRequest{
MemoryStoreID: "mem_aa87e2b1112a455b8deabed784372198",
EntryID: "mem_entry_bb98f3c2223b566c9dfbcef895483209",
Body: &components.DeleteMemoryEntryRequest{
IfMatch: mka1.Pointer("c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680"),
},
})
if err != nil {
log.Fatal(err)
}
if res.MemoryEntryDeleted != nil {
// handle response
}
}using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
Types.Requests.DeleteMemoryEntryRequest req = new MeetKai.MKA1.Types.Requests.DeleteMemoryEntryRequest() {
MemoryStoreId = "mem_aa87e2b1112a455b8deabed784372198",
EntryId = "mem_entry_bb98f3c2223b566c9dfbcef895483209",
Body = new MeetKai.MKA1.Types.Components.DeleteMemoryEntryRequest() {
IfMatch = "c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680",
},
};
var res = await sdk.Llm.MemoryStores.DeleteEntryAsync(req);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.memory_stores.delete_entry(memory_store_id="mem_aa87e2b1112a455b8deabed784372198", entry_id="mem_entry_bb98f3c2223b566c9dfbcef895483209", if_match="c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.memoryStores.deleteEntry({
memoryStoreId: "mem_aa87e2b1112a455b8deabed784372198",
entryId: "mem_entry_bb98f3c2223b566c9dfbcef895483209",
deleteMemoryEntryRequest: {
ifMatch: "c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680",
},
});
console.log(result);
}
run();curl --request DELETE \
--url https://apigw.mka1.com/api/v1/llm/memory_stores/{memory_store_id}/entries/{entry_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"if_match": "c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680"
}
'const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({if_match: 'c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680'})
};
fetch('https://apigw.mka1.com/api/v1/llm/memory_stores/{memory_store_id}/entries/{entry_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/memory_stores/{memory_store_id}/entries/{entry_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'if_match' => 'c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.delete("https://apigw.mka1.com/api/v1/llm/memory_stores/{memory_store_id}/entries/{entry_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"if_match\": \"c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/memory_stores/{memory_store_id}/entries/{entry_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"if_match\": \"c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "memory_entry.deleted",
"deleted": true
}Autorizaciones
Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.
Encabezados
Optional external end-user identifier forwarded by the API gateway.
Parámetros de consulta
Pattern:
^[a-f0-9]{64}$Cuerpo
application/json
Pattern:
^[a-f0-9]{64}$¿Esta página le ayudó?
⌘I
Go (SDK)
package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"github.com/MeetKai/mka1-sdks/go/models/components"
"github.com/MeetKai/mka1-sdks/go/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Llm.MemoryStores.DeleteEntry(ctx, operations.DeleteMemoryEntryRequest{
MemoryStoreID: "mem_aa87e2b1112a455b8deabed784372198",
EntryID: "mem_entry_bb98f3c2223b566c9dfbcef895483209",
Body: &components.DeleteMemoryEntryRequest{
IfMatch: mka1.Pointer("c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680"),
},
})
if err != nil {
log.Fatal(err)
}
if res.MemoryEntryDeleted != nil {
// handle response
}
}using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
Types.Requests.DeleteMemoryEntryRequest req = new MeetKai.MKA1.Types.Requests.DeleteMemoryEntryRequest() {
MemoryStoreId = "mem_aa87e2b1112a455b8deabed784372198",
EntryId = "mem_entry_bb98f3c2223b566c9dfbcef895483209",
Body = new MeetKai.MKA1.Types.Components.DeleteMemoryEntryRequest() {
IfMatch = "c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680",
},
};
var res = await sdk.Llm.MemoryStores.DeleteEntryAsync(req);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.memory_stores.delete_entry(memory_store_id="mem_aa87e2b1112a455b8deabed784372198", entry_id="mem_entry_bb98f3c2223b566c9dfbcef895483209", if_match="c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.memoryStores.deleteEntry({
memoryStoreId: "mem_aa87e2b1112a455b8deabed784372198",
entryId: "mem_entry_bb98f3c2223b566c9dfbcef895483209",
deleteMemoryEntryRequest: {
ifMatch: "c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680",
},
});
console.log(result);
}
run();curl --request DELETE \
--url https://apigw.mka1.com/api/v1/llm/memory_stores/{memory_store_id}/entries/{entry_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"if_match": "c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680"
}
'const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({if_match: 'c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680'})
};
fetch('https://apigw.mka1.com/api/v1/llm/memory_stores/{memory_store_id}/entries/{entry_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/llm/memory_stores/{memory_store_id}/entries/{entry_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'if_match' => 'c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.delete("https://apigw.mka1.com/api/v1/llm/memory_stores/{memory_store_id}/entries/{entry_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"if_match\": \"c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/llm/memory_stores/{memory_store_id}/entries/{entry_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"if_match\": \"c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "memory_entry.deleted",
"deleted": true
}